package com.keao.edu.user.entity;

import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(exam_subject_song):
 */
public class ExamSubjectSong {

	@ApiModelProperty(value = "考试内容编号")
	private Long id;

	@ApiModelProperty(value = "考试项目")
	private Integer examinationBasicId;

	@ApiModelProperty(value = "专业")
	private Long examSubjectId;

	@ApiModelProperty(value = "级别")
	private Integer level;

	@ApiModelProperty(value = "练习曲数量")
	private Integer practiceNum;

	@ApiModelProperty(value = "练习曲列表")
	private String practiceSongIdList;

	@ApiModelProperty(value = "演奏曲数量")
	private Integer performNum;

	@ApiModelProperty(value = "演奏曲列表")
	private String performSongIdList;

	@ApiModelProperty(value = "报名费用")
	private java.math.BigDecimal registrationFee;

	private java.util.Date createTime;

	private java.util.Date updateTime;

	private String tenantId;

	private Subject subject;

	public Subject getSubject() {
		return subject;
	}

	public void setSubject(Subject subject) {
		this.subject = subject;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setExaminationBasicId(Integer examinationBasicId){
		this.examinationBasicId = examinationBasicId;
	}
	
	public Integer getExaminationBasicId(){
		return this.examinationBasicId;
	}
			
	public void setExamSubjectId(Long examSubjectId){
		this.examSubjectId = examSubjectId;
	}
	
	public Long getExamSubjectId(){
		return this.examSubjectId;
	}
			
	public void setLevel(Integer level){
		this.level = level;
	}
	
	public Integer getLevel(){
		return this.level;
	}
			
	public void setPracticeNum(Integer practiceNum){
		this.practiceNum = practiceNum;
	}
	
	public Integer getPracticeNum(){
		return this.practiceNum;
	}
			
	public void setPracticeSongIdList(String practiceSongIdList){
		this.practiceSongIdList = practiceSongIdList;
	}
	
	public String getPracticeSongIdList(){
		return this.practiceSongIdList;
	}
			
	public void setPerformNum(Integer performNum){
		this.performNum = performNum;
	}
	
	public Integer getPerformNum(){
		return this.performNum;
	}
			
	public void setPerformSongIdList(String performSongIdList){
		this.performSongIdList = performSongIdList;
	}
	
	public String getPerformSongIdList(){
		return this.performSongIdList;
	}
			
	public void setRegistrationFee(java.math.BigDecimal registrationFee){
		this.registrationFee = registrationFee;
	}
	
	public java.math.BigDecimal getRegistrationFee(){
		return this.registrationFee;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public void setTenantId(String tenantId){
		this.tenantId = tenantId;
	}
	
	public String getTenantId(){
		return this.tenantId;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
